SubmittedManager
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.db.managers
Class SubmittedManager

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.db.managers.SubmittedManager

Direct Known Subclasses:
  AquaMapsManager, JobManager

    public class SubmittedManager

extends java.lang.Object

Constructor Summary
`SubmittedManager()`

Method Summary
`static int` | `delete(int submittedId)`
`static int` | `deleteFromTables(int submittedId)`
`static java.lang.String` | `getAuthor(int submittedId)`
`static java.lang.Long` | `getCount(java.util.List<Field> filter)`
`static java.util.List<java.lang.String>` | `getGisId(int submittedId)`
`static int` | `getHCAFTableId(int jobId)`
`static int` | `getHSPECTableId(int jobId)`
`static int` | `getHSPENTableId(int jobId)`
`static java.lang.String` | `getJsonList(java.util.List<Field> filters, PagedRequestSettings settings)`
`static java.util.List<Submitted>` | `getList(java.util.List<Field> filters)`
`static java.util.List<Submitted>` | `getList(java.util.List<Field> filter, PagedRequestSettings settings)`
`static SubmittedStatus` | `getStatus(int submittedId)`
`static Submitted` | `getSubmittedById(int objId)`
`static Submitted` | `insertInTable(Submitted toInsert)`
`static java.lang.Boolean` | `isAquaMap(int submittedId)`
`static java.lang.Boolean` | `isGIS(int submittedId)`
`static int` | `markSaved(int submittedId)`
`static int` | `setGisPublishedId(int submittedId, java.lang.String gisId)`
`static int` | `setSerializedPath(int submittedId, java.lang.String path)`
`static void` | `setStartTime(int submittedId)`
`static void` | `update(Submitted toUpdate)`
`static int` | `updateGISData(int submittedId, java.lang.Boolean gisEnabled)`
`static void` | `updateStatus(int toUpdateId, SubmittedStatus statusValue)` Updates internal Status, in case of Error status updates published element as side effect

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubmittedManager

    public SubmittedManager()

Method Detail

### deleteFromTables

    public static int deleteFromTables(int submittedId)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### delete

    public static int delete(int submittedId)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getHCAFTableId

    public static int getHCAFTableId(int jobId)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getHSPENTableId

    public static int getHSPENTableId(int jobId)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getHSPECTableId

    public static int getHSPECTableId(int jobId)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isGIS

    public static java.lang.Boolean isGIS(int submittedId)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getGisId

    public static java.util.List<java.lang.String> getGisId(int submittedId)
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getStatus

    public static SubmittedStatus getStatus(int submittedId)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getAuthor

    public static java.lang.String getAuthor(int submittedId)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isAquaMap

    public static java.lang.Boolean isAquaMap(int submittedId)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### updateGISData

    public static int updateGISData(int submittedId,
                                    java.lang.Boolean gisEnabled)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### markSaved

    public static int markSaved(int submittedId)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setGisPublishedId

    public static int setGisPublishedId(int submittedId,
                                        java.lang.String gisId)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setSerializedPath

    public static int setSerializedPath(int submittedId,
                                        java.lang.String path)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### updateStatus

    public static void updateStatus(int toUpdateId,
                                    SubmittedStatus statusValue)
                             throws java.sql.SQLException,
                                    java.io.IOException,
                                    java.lang.Exception

  Updates internal Status, in case of Error status updates published element as side effect

  Throws:
    `java.sql.SQLException`
    `java.io.IOException`
    `java.lang.Exception`

### insertInTable

    public static Submitted insertInTable(Submitted toInsert)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getList

    public static java.util.List<Submitted> getList(java.util.List<Field> filters)
                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getJsonList

    public static java.lang.String getJsonList(java.util.List<Field> filters,
                                               PagedRequestSettings settings)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSubmittedById

    public static Submitted getSubmittedById(int objId)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### update

    public static void update(Submitted toUpdate)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getList

    public static java.util.List<Submitted> getList(java.util.List<Field> filter,
                                                    PagedRequestSettings settings)
                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getCount

    public static java.lang.Long getCount(java.util.List<Field> filter)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setStartTime

    public static void setStartTime(int submittedId)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD